Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Replace the certificate tiers

PUT/api/admin/certificates/tiers
Request body
requiredapplication/json
tiersobject[]required
Show properties
Array of object
keystringrequired
min length 1 · max length 32 · matches ^[a-z0-9]+(?:-[a-z0-9]+)*$
labelstringrequired
min length 1 · max length 40
rulestringrequired
Allowed:max_ranktop_percentilemin_solves
thresholdnumberrequired
enabledbooleanrequired
templateIdstring | nullrequired
Show properties
Any of:
string
string
null
null
Responses
200

Success

successbooleanrequired
400

Bad request

errorstringrequired
401

Unauthorized

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X PUT '/api/admin/certificates/tiers' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "tiers": [
    {
      "key": "string",
      "label": "string",
      "rule": "max_rank",
      "threshold": 0,
      "enabled": true,
      "templateId": "string"
    }
  ]
}'
Response
{
  "success": true
}

Was this page helpful?